﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PrecastConcretePlantDataModels.Models;

namespace PrecastConcretePlantContracts.BindingModels
{
    public class ReinforcedBindingModel : IReinforcedModel
    {
        public int Id { get; set; }
        public string ReinforcedName { get; set; } = string.Empty;
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> ReinforcedComponents
        {
            get;
            set;
        } = new();
    }
}
