﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PrecastConcretePlantDataModels.Enums;

namespace PrecastConcretePlantDataModels.Enums
{
    public interface IOrderModel : IId
    {
        int ReinforcedId { get; }
        int ClientId { get; }
        int Count { get; }
        double Sum { get; }
        OrderStatus Status { get; }
        DateTime DateCreate { get; }
        DateTime? DateImplement { get; }

    }
}
