﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PrecastConcretePlantDataModels.Models;
using System.ComponentModel;

namespace PrecastConcretePlantContracts.ViewModels
{
    public class ReinforcedViewModel : IReinforcedModel
    {
        public int Id { get; set; }
        [DisplayName("Название изделия")]
        public string ReinforcedName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> ReinforcedComponents
        {
            get;
            set;
        }
    }
}
